Skip to main content
PATCH
Updates a specific line item of an existing return - state, quantity, return reason and its comment, condition and its comment, and the credit flag.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

Idempotency-Key
string

Optional, client-generated key for deduplicating repeated write requests. A repeated request with the same key returns the originally recorded result instead of executing the effect again.

Required string length: 1 - 255
x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Path Parameters

returnId
string<uuid>
required
Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

lineItemId
string<uuid>
required
Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

Body

application/json

Request parameters

Updates a specific line item of an existing return - state, quantity, return reason and its comment, condition and its comment, and the credit flag. The state of the return is inferred from the states of its line items. - Request

stateId
string<uuid>

The new state of the line item.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

quantity
number<decimal>

The new quantity of the line item.

returnReasonId
string<uuid>

The return reason of the line item.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

returnReasonComment
string

The comment for the return reason.

conditionId
string<uuid>

The item condition after inspection.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

conditionComment
string

The comment for the item condition.

credit
boolean

Indicates whether the line item should be credited.

Response

The updated line item.

Model Class: ReturnLineItem

id
string<uuid>
required

Unique ID to identify a return line item.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

returnId
string<uuid>
required

Unique ID to identify a return.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

stateId
string<uuid>
required

The ID of the return line item state.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

itemId
string<uuid>
required

Unique ID to identify an item.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

name
string
required

Name of the position.

itemNumber
string
required

The item number of the line item.

quantity
number<decimal>
required

The quantity of the line item.

returnReasonId
string<uuid>
required

Unique ID to identify a return reason.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

returnReasonComment
string
required

The comment corresponding to the return line item reason.

conditionId
string<uuid>
required

Unique ID to identify a condition.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

conditionComment
string
required

The comment corresponding to the return line item condition.

credit
boolean
required

Indicates whether this return line item should be credited.

salesOrderId
string<uuid>
required

Unique ID to identify a sales order.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

salesOrderLineItemId
string<uuid>
required

Unique ID to identify a sales order item.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

deliveryNoteLineItemId
string<uuid>
required

Unique ID to identify a delivery note item.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"